## kidletime 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KIdleTime)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(CMakeFindFrameworks)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

set(KF5_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KIDLETIME
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kidletime_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5IdleTimeConfigVersion.cmake"
                        SOVERSION 5)

# Dependencies
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

if(NOT WIN32 AND NOT APPLE)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras DBus)
endif()

if(APPLE)
    cmake_find_frameworks(CoreFoundation Carbon)
endif()

if(NOT APPLE)
    find_package(X11)
    find_package(XCB COMPONENTS XCB)
endif()

if(X11_FOUND)
    find_package(XCB COMPONENTS XCB SYNC)
    find_package(X11_XCB)
    set(HAVE_X11 TRUE)
    if (X11_XSync_FOUND AND XCB_XCB_FOUND AND X11_XCB_FOUND AND XCB_SYNC_FOUND)
        # One cannot just use "set(HAVE_XSYNC X11_XSync_FOUND AND XCB_XCB_FOUND...)"
        # Doing so would create a list because the value passed to set() is not evaluated.
        set(HAVE_XSYNC TRUE)
    else()
        set(HAVE_XSYNC FALSE)
    endif()
    add_feature_info("libXext" X11_XSync_FOUND "required for X-Sync based poller")
    add_feature_info("libX11-xcb" X11_XCB_FOUND "required for X-Sync based poller")
    add_feature_info("libxcb" XCB_XCB_FOUND "required for X-Sync based poller")
    add_feature_info("libxcb-sync" XCB_SYNC_FOUND "required for X-Sync based poller")
    add_feature_info("X-Sync based poller" HAVE_XSYNC "efficient operation of KIdleTime. STRONGLY RECOMMENDED (requires libXext, libX11-xcb, libxcb and libxcb-sync)")

    set(HAVE_XSCREENSAVER ${X11_Xscreensaver_FOUND})
    add_feature_info("X-Screensaver based poller" HAVE_XSCREENSAVER "KIdleTime fallback mode (libXss)")

    if(NOT HAVE_XSCREENSAVER AND NOT HAVE_XSYNC)
        message(FATAL_ERROR "\nNeither the XSync (libXext) nor XScreensaver (libXss) development package was found.\nPlease install one of them (XSync is recommended)")
    endif()
else()
    set(HAVE_X11 FALSE)
endif()

# Subdirectories
add_subdirectory(src)
add_subdirectory(examples)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IdleTime")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5IdleTimeConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5IdleTimeConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5IdleTimeConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5IdleTimeConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5IdleTimeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5IdleTimeTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kidletime_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

## kidletime 5.3.0

=== debian/changelog ===
kidletime (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:14:11 +0100

kidletime (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:40:18 +0200

kidletime (5.1.0-0ubuntu1) utopic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:11:27 +0200

kidletime (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Jul 2014 13:34:48 +0200

=== debian/control ===
Source: kidletime
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               extra-cmake-modules (>= 1.2.0),
               libqt5x11extras5-dev,
               libxcb-sync0-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/kidletime
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kidletime.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kidletime.git

Package: libkf5idletime-dev
Section: libdevel
Architecture: any
Depends: libkf5idletime5 (= ${binary:Version}), qtbase5-dev
Description: development headers for the kidletime library
 This package contains development files for building software that uses
 libraries from the kidletime KDE framework.

Package: libkf5idletime5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library to provide information about idle time
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.

Package: libkf5idletime5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkf5idletime5 (= ${binary:Version})
Description: debugging symbols for the kidletime libraries
 This package contains debugging files used to investigate problems with
 the libkf5idletime5 package

## kidletime 5.9.0

=== debian/changelog ===
kidletime (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:24:27 +0200

kidletime (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:31:38 +0100

kidletime (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:20:00 +0100

kidletime (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:50:31 +0100

kidletime (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:46:27 +0100

kidletime (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:04:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
                libqt5x11extras5-dev,
                libxcb-sync0-dev,
                libxss-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://projects.kde.org/kidletime
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kidletime.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kidletime.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kidletime.git
 
 Package: libkf5idletime-dev

## kidletime 5.15.0

=== debian/changelog ===
kidletime (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:50:01 +0100

kidletime (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:19:42 +0100

kidletime (5.13.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * new upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols files.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:12:09 +0200

kidletime (5.12.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Add pkg-config

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge, remove unused broken backport.

  [ José Manuel Santamaría Lema ]
  * Update installed files.

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:31:20 +0200

kidletime (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 16:08:49 +0200

kidletime (5.10.0-0ubuntu2) UNRELEASED; urgency=medium

  * New upstream release
  
 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:54:10 +0200

kidletime (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:54:10 +0200

kidletime (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:13 +0200

kidletime (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:27:05 +0100

kidletime (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * Update build dependencies.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 02 Mar 2015 16:14:59 +0100

kidletime (5.6.0-1) experimental; urgency=medium

  * New upstream release (5.6.0).
  * Bump build dependencies to build against the experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Update copyright information.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Jan 2015 13:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 8.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               libqt5x11extras5-dev,
-               libxcb-sync0-dev,
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libqt5x11extras5-dev (>= 5.4),
+               libx11-dev,
+               libx11-xcb-dev,
+               libxcb-sync-dev,
+               libxcb1-dev,
                libxss-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Section: libs
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/kidletime
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kidletime.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kidletime.git
@@ -20,7 +24,7 @@
 Package: libkf5idletime-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5idletime5 (= ${binary:Version}), qtbase5-dev
+Depends: libkf5idletime5 (= ${binary:Version}), qtbase5-dev (>= 5.4)
 Description: development headers for the kidletime library
  This package contains development files for building software that uses
  libraries from the kidletime KDE framework.
@@ -30,6 +34,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
+Recommends: kwayland-integration
 Description: library to provide information about idle time
  This library contains a class that allows applications to watch for
  user activity or inactivity. It is useful not only for finding out about

## kidletime 5.18.0

=== debian/changelog ===
kidletime (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:21:52 +0100

kidletime (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:38 +0100

kidletime (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:15:56 +0200

kidletime (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:40 +0100

kidletime (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:47:56 +0200

kidletime (5.13.0-1) unstable; urgency=medium

  * Drop XS-Testsuite field
  * New upstream release (5.13.0).
  * Update symbols files.
  * Update install files.
  * Add the plugin symbols.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Aug 2015 22:33:31 +0200

kidletime (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:42:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
                libx11-xcb-dev,
@@ -16,7 +16,6 @@
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Section: libs
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/kidletime
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kidletime.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kidletime.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5idletime5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kidletime-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kidletime-(.*)\.tar\.xz

## kidletime 5.26.0

=== debian/changelog ===
kidletime (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:45:41 +0100

kidletime (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:41:49 +0000

kidletime (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:13:09 +0200

kidletime (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:28:21 -0700

kidletime (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * Update symbols files from buildds logs (5.18.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:53 +0100

kidletime (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
                libx11-xcb-dev,
@@ -17,8 +17,8 @@
 Standards-Version: 3.9.6
 Section: libs
 Homepage: https://projects.kde.org/kidletime
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kidletime.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kidletime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidletime
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidletime
 
 Package: libkf5idletime-dev
 Section: libdevel
@@ -39,12 +39,3 @@
  user activity or inactivity. It is useful not only for finding out about
  the current idle time of the PC, but also for getting notified upon idle
  time events, such as custom timeouts, or user activity.
-
-Package: libkf5idletime5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libkf5idletime5 (= ${binary:Version})
-Description: debugging symbols for the kidletime libraries
- This package contains debugging files used to investigate problems with
- the libkf5idletime5 package

## kidletime 5.28.0

=== debian/changelog ===
kidletime (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.27.0-1).

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:01:39 +0100

kidletime (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (5.26.0-1).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:50:56 +0200

kidletime (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.25.0-1).

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:56:24 +0200

kidletime (5.25.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:21:15 +0200

kidletime (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.22.0-1).

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 17 Jun 2016 21:35:39 +0200

kidletime (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files.
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.21.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 00:14:10 +0200

kidletime (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 18:38:57 +0200

=== debian/control ===
Source: kidletime
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libqt5x11extras5-dev (>= 5.5.0~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-sync-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Section: libs
Homepage: https://projects.kde.org/kidletime
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kidletime.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kidletime.git

Package: libkf5idletime-dev
Section: libdevel
Architecture: any
Depends: libkf5idletime5 (= ${binary:Version}), qtbase5-dev (>= 5.5.0~)
Description: development headers for the kidletime library
 This package contains development files for building software that uses
 libraries from the kidletime KDE framework.
Breaks: libkf5kdelibs4support-dev (<< 5.28)

Package: libkf5idletime5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library to provide information about idle time
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.
Breaks: baloo-kf5 (<< 5.28)

## kidletime 5.31.0

=== debian/changelog ===
kidletime (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:18 +0000

kidletime (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:03 +0000

kidletime (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:17:10 +0000

=== debian/control ===
Source: kidletime
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-sync-dev,
               libxcb1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/kidletime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidletime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidletime

Package: libkf5idletime-dev
Architecture: any
Section: libdevel
Depends: libkf5idletime5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development headers for the kidletime library
 This package contains development files for building software that uses
 libraries from the kidletime KDE framework.

Package: libkf5idletime5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kwayland-integration
Description: library to provide information about idle time
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.

## kidletime 5.38.0

=== debian/changelog ===
kidletime (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:39 +0100

kidletime (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:23 +0100

kidletime (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:12 +0100

kidletime (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:21 +0100

kidletime (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:16 +0100

kidletime (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:05:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libx11-xcb-dev,

## kidletime 5.44.0

=== src/CMakeLists.txt ===
######## kidletime ####################

configure_file(config-kidletime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kidletime.h )

set(kidletime_LIB_SRCS
    logging.cpp
    kidletime.cpp
    abstractsystempoller.cpp
    widgetbasedpoller.cpp # TODO: make optional, to avoid always depending on QtWidgets? Or port to QtGui?
)

set(kidletime_LIBS)

add_library(KF5IdleTime ${kidletime_LIB_SRCS})
generate_export_header(KF5IdleTime BASE_NAME KIdleTime)
add_library(KF5::IdleTime ALIAS KF5IdleTime)
target_include_directories(KF5IdleTime INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KIdleTime>")

target_link_libraries(KF5IdleTime PUBLIC Qt5::Core)
target_link_libraries(KF5IdleTime PRIVATE Qt5::Widgets ${kidletime_LIBS})

set_target_properties(KF5IdleTime PROPERTIES  VERSION ${KIDLETIME_VERSION_STRING}
                                              SOVERSION ${KIDLETIME_SOVERSION}
                                              EXPORT_NAME IdleTime
)

add_subdirectory(plugins)

ecm_generate_headers(KIdleTime_HEADERS
  HEADER_NAMES
  KIdleTime

  REQUIRED_HEADERS KIdleTime_HEADERS
)


install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kidletime_export.h
  ${KIdleTime_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KIdleTime COMPONENT Devel
)

install(
    FILES
        abstractsystempoller.h
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR_KF5}/KIdleTime/private
    COMPONENT
        Devel
)

install(TARGETS KF5IdleTime EXPORT KF5IdleTimeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_QCH)
    ecm_add_qch(
        KF5IdleTime_QCH
        NAME KIdleTime
        BASE_NAME KF5IdleTime
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KIdleTime_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        BLANK_MACROS
            KIDLETIME_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KIdleTime LIB_NAME KF5IdleTime DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KIdleTime)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kidletime (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:47 +0000

kidletime (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:23 +0000

kidletime (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:21:31 +0000

kidletime (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:05:37 -0600

kidletime (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:30 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libx11-xcb-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5idletime5-dbg (<= 5.19.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/kidletime-(.*)\.tar\.xz

## kidletime 5.50.0

=== debian/changelog ===
kidletime (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:13:31 +0100

kidletime (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian
  * Add misc:Depends to libkf5idletime-dev Depends

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:30:16 +0100

kidletime (5.47.0-0ubuntu1) cosmic; urgency=medium

  * Install debug categories file
  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:49:14 +0100

kidletime (5.46.0-1) unstable; urgency=medium

  * Update symbols files from buildds logs (5.45.0-1).
  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:04 +0200

kidletime (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:25 +0100

kidletime (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:32 +0200

kidletime (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:53 +0100

kidletime (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:40 +0100

kidletime (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:54 +0100

kidletime (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:19 +0100

kidletime (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:41 -0300

kidletime (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:45:54 +0000

kidletime (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:58:03 +0000

kidletime (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:42:35 +0000

kidletime (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:41 +0000

kidletime (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:16 +0200

kidletime (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5idletime-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:08 +0200

kidletime (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:13:33 +0000

kidletime (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Ignore libxss-dev in hurd
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Harald Sitter ]
  * add optional fallback dependency
  * fix install files again
  * acc c++11. now used more liberally

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:13 +0200

kidletime (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:34 +0000

kidletime (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:52 +0000

kidletime (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:36:32 +0000

kidletime (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:23:26 +0000

kidletime (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:22:06 +0000

kidletime (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:36:44 +0000

kidletime (5.30.0-0neon) xenial; urgency=medium

  * New release



=== debian/control ===
Source: kidletime
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.8.0~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-sync-dev,
               libxcb1-dev,
               libxss-dev [!hurd-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/kidletime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidletime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidletime

Package: libkf5idletime-dev
Architecture: any
Section: libdevel
Depends: libkf5idletime5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5idletime-doc (= ${source:Version})
Description: development headers for the kidletime library
 This package contains development files for building software that uses
 libraries from the kidletime KDE framework.

Package: libkf5idletime-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: library to provide information about idle time (documentation)
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.
 .
 This package contains the qch documentation files.

Package: libkf5idletime5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kwayland-integration
Description: library to provide information about idle time
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.

## kidletime 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.5)
 
-project(KIdleTime)
+set(KF5_VERSION "5.54.0") # handled by release scripts
+project(KIdleTime VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -13,28 +14,24 @@
 
 include(CMakeFindFrameworks)
 include(GenerateExportHeader)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
+include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMAddQch)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
-
-ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KIDLETIME
+ecm_setup_version(PROJECT VARIABLE_PREFIX KIDLETIME
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kidletime_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5IdleTimeConfigVersion.cmake"
                         SOVERSION 5)
 
 # Dependencies
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.3.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
-
-if(NOT WIN32 AND NOT APPLE)
-    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras DBus)
-endif()
 
 if(APPLE)
     cmake_find_frameworks(CoreFoundation Carbon)
@@ -46,6 +43,7 @@
 endif()
 
 if(X11_FOUND)
+    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
     find_package(XCB COMPONENTS XCB SYNC)
     find_package(X11_XCB)
     set(HAVE_X11 TRUE)
@@ -65,12 +63,19 @@
     set(HAVE_XSCREENSAVER ${X11_Xscreensaver_FOUND})
     add_feature_info("X-Screensaver based poller" HAVE_XSCREENSAVER "KIdleTime fallback mode (libXss)")
 
+    if(HAVE_XSCREENSAVER AND NOT WIN32)
+        find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
+    endif()
+
     if(NOT HAVE_XSCREENSAVER AND NOT HAVE_XSYNC)
         message(FATAL_ERROR "\nNeither the XSync (libXext) nor XScreensaver (libXss) development package was found.\nPlease install one of them (XSync is recommended)")
     endif()
 else()
     set(HAVE_X11 FALSE)
 endif()
+
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 # Subdirectories
 add_subdirectory(src)
@@ -79,7 +84,17 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IdleTime")
 
-ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5IdleTimeConfig.cmake.in"
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5IdleTime_QCH
+        FILE KF5IdleTimeQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5IdleTimeQchTargets.cmake\")")
+endif()
+
+configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5IdleTimeConfig.cmake.in"
                               "${CMAKE_CURRENT_BINARY_DIR}/KF5IdleTimeConfig.cmake"
                               INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                               )
@@ -94,6 +109,7 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kidletime_version.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel)
 
-if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
-  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
-endif()
+
+install( FILES kidletime.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+
+feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kidletime (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:56 -0300

kidletime (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:56 +0100

kidletime (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update symbols files from buildds logs (5.47.0-1).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:37 +0200

kidletime (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update symbols files from buildds logs (5.46.0-1).
  * Update build-deps and deps with the info from cmake
  * Update instal files
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:27 +0200

=== debian/control ===
Source: kidletime
Priority: optional
Section: libs
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.9.0~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-sync-dev,
               libxcb1-dev,
               libxss-dev [!hurd-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/kidletime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kidletime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kidletime.git

Package: libkf5idletime-dev
Section: libdevel
Architecture: any
Depends: libkf5idletime5 (= ${binary:Version}), qtbase5-dev (>= 5.9.0~)
Recommends: libkf5idletime-doc (= ${source:Version})
Description: development headers for the kidletime library
 This package contains development files for building software that uses
 libraries from the kidletime KDE framework.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5idletime-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library to provide information about idle time (documentation)
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5idletime5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Recommends: kwayland-integration
Description: library to provide information about idle time
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.
Breaks: baloo-kf5 (<< 5.54)
